# SortOrder

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how items in a list are sorted.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum SortOrder : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum SortOrder As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                               |
| -------------- | ----------------------------------------- |
| **Ascending**  | The items are sorted in ascending order.  |
| **Descending** | The items are sorted in descending order. |
| **None**       | The items are not sorted.                 |

## Used By

| Name                                                                                                                                                        | Description                                                                                                                                                                                |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [DataGridView.SortOrder](/api/wisej.web/lists-and-grids/datagridview.md#sortorder)                                                                          | Returns a value indicating whether the items in the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control are sorted in ascending or descending order, or are not sorted. |
| [DataGridViewColumnHeaderCell.SortGlyphDirection](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumnheadercell.md#sortglyphdirection) | Returns or sets a value indicating which sort glyph is displayed.                                                                                                                          |
| [ColumnHeader.SortGlyph](/api/wisej.web/lists-and-grids/listview/wisej.web.columnheader.md#sortglyph)                                                       | Returns or sets the type of sort glyph to display in the column header.                                                                                                                    |
| [ListView.Sorting](/api/wisej.web/lists-and-grids/listview.md#sorting)                                                                                      | Returns or sets the sort order for items in the control.                                                                                                                                   |
| [ListView.SortOrder](/api/wisej.web/lists-and-grids/listview.md#sortorder)                                                                                  | Returns a value indicating whether the items in the [ListView](/api/wisej.web/lists-and-grids/listview.md) control are sorted in ascending or descending order, or are not sorted.         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.sortorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
